package org.jeecg.modules.stm.metric.service;

import org.jeecg.modules.stm.metric.entity.MetricAppSystemReport;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.stm.metric.entity.MetricMonitorSet;

/**
 * @Description: 应用系统运行记录表
 * @Author: jeecg-boot
 * @Date:   2024-03-23
 * @Version: V1.0
 */
public interface IMetricAppSystemReportService extends IService<MetricAppSystemReport> {
    void caluculatAppSystems(MetricMonitorSet metricMonitorSet);
    void caluculatAppEventCount(MetricMonitorSet metricMonitorSet);
    void caluculatAppUrgentCount(MetricMonitorSet metricMonitorSet);
    void caluculatAppFaultCount(MetricMonitorSet metricMonitorSet);
}
